<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_RC5_CBC_PARAMS Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_RC5_CBC_PARAMS Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:adec9abac2456557fc3fa3ee9b93c074b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__RC5__CBC__PARAMS.html#adec9abac2456557fc3fa3ee9b93c074b">ulWordsize</a></td></tr>
<tr class="separator:adec9abac2456557fc3fa3ee9b93c074b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abccd916df6f88f2628b639341735dc43"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__RC5__CBC__PARAMS.html#abccd916df6f88f2628b639341735dc43">ulRounds</a></td></tr>
<tr class="separator:abccd916df6f88f2628b639341735dc43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a484f89086d16b6136e768608356cf411"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__RC5__CBC__PARAMS.html#a484f89086d16b6136e768608356cf411">pIv</a></td></tr>
<tr class="separator:a484f89086d16b6136e768608356cf411"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a369e27367725ae54a5b066d87ad6e0b6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__RC5__CBC__PARAMS.html#a369e27367725ae54a5b066d87ad6e0b6">ulIvLen</a></td></tr>
<tr class="separator:a369e27367725ae54a5b066d87ad6e0b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01232">1232</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a484f89086d16b6136e768608356cf411"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a484f89086d16b6136e768608356cf411">&#9670;&nbsp;</a></span>pIv</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pIv</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01235">1235</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a369e27367725ae54a5b066d87ad6e0b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a369e27367725ae54a5b066d87ad6e0b6">&#9670;&nbsp;</a></span>ulIvLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulIvLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01236">1236</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="abccd916df6f88f2628b639341735dc43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abccd916df6f88f2628b639341735dc43">&#9670;&nbsp;</a></span>ulRounds</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulRounds</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01234">1234</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="adec9abac2456557fc3fa3ee9b93c074b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adec9abac2456557fc3fa3ee9b93c074b">&#9670;&nbsp;</a></span>ulWordsize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulWordsize</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01233">1233</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
